# Type Alias SearchCategoryModel

type SearchCategoryModel = {
active?: boolean;
count?: number;
cssclass?: string;
facets: SearchFacetModel[];
id: string;
mainType: string;
title: string;
type?: string;
typesExcluded: string[];
}

- Defined in jamespot-user-api/src/types/search.ts:40

##### Index

### Properties

active?
count?
cssclass?
facets
id
mainType
title
type?
typesExcluded

## Properties

### `Optional` active

active?: boolean

- Defined in jamespot-user-api/src/types/search.ts:46

### `Optional` count

count?: number

- Defined in jamespot-user-api/src/types/search.ts:47

### `Optional` cssclass

cssclass?: string

- Defined in jamespot-user-api/src/types/search.ts:45

### facets

facets: SearchFacetModel[]

- Defined in jamespot-user-api/src/types/search.ts:49

### id

id: string

- Defined in jamespot-user-api/src/types/search.ts:41

### mainType

mainType: string

- Defined in jamespot-user-api/src/types/search.ts:42

### title

title: string

- Defined in jamespot-user-api/src/types/search.ts:44

### `Optional` type

type?: string

- Defined in jamespot-user-api/src/types/search.ts:43

### typesExcluded

typesExcluded: string[]

- Defined in jamespot-user-api/src/types/search.ts:48